Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158938 - Isn't a PIE
Summary: Isn't a PIE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-26 23:44 UTC by Dave Jones
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version: pam-0.80-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-22 15:07:29 UTC


Attachments (Terms of Use)

Description Dave Jones 2005-05-26 23:44:12 UTC
Daemons really should be built as PIE where possible, by passing -fpie -pie
compile flags.

lsexec shows pam_timestamp_check isn't built this way yet.


Note You need to log in before you can comment on or make changes to this bug.